We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 20595

LogiCORE SPI-4.2 (POS-PHY L4) v6.2 - I just installed SPI Core, but I cannot see it in the CORE Generator GUI listing


General Description 

After installing SPI4.2 v6.2 files into the Xilinx ISE, I cannot find the core in the CORE Generator GUI, or the catalog window.


This is due to the fact that CORE Generator main catalog window shows only the latest version of the cores. Since ISE6.3i automatically contains SPI4.2 v7.1(for Virtex-4 only), the newly installed v6.2 (for Virtex-II/Pro only) will not be displayed automatically. 


You can get the v6.2 Core to show by doing: 

From Core Generator GUI 

1. Project -> Cores Catalog Display -> Customize.... 

2. Customize Cores Catalog window will pop up. 

3. From the folder tree (on the left column), navigate to:  

Communications & Networking ->Telecommunications 

4. From the cores display window (on the right column), scroll down to find SPI4.2 cores. 

5. Select SPI4.2 v6.2 by clicking the check box. 

6. Click OK at the bottom of the Customize window to close this window. 

7. Go back to the main CORE Generator GUI. 

SPI4.2 v6.2 should now be visible. 


You must have the Virtex-II or Virtex-II Pro family selected in the Project option in order to see v6.2 Core active; otherwise, it will be grayed out. By having Virtex-4 selected, only v7.1 will be active.

AR# 20595
Date Created 09/03/2007
Last Updated 05/16/2014
Status Archive
Type General Article